<div class="animated fadeIn">
<div class="card">
  <div class="card-header pl-1 pr-1 text-align-center align-items-center justify-content-between">
    <div class="row">
      <div class="col-2" style="margin-left: 1rem">
      <i class="fa fa-globe"> {{'resource.title' | translate}}</i>

      </div>
      <div class="col-1">
        <button type="button" (click)="refresh()" class="btn btn-primary" style="margin-left: 1%"><i
          class="fa fa-refresh"></i>{{'common.refresh' | translate}}</button>
      </div>
      <div class="col-lg-1 col-md-2 pl-0 pr-0" style="text-align: right">
        {{'common.period' | translate}}
      </div>
      <div class="col-4">
        <app-period [(selectTime)]="selectTime"
                    [selectTimeOption]="selectTimeOption"
                    (changeValue)="selectTimeInterval($event)"
          >
        </app-period>
      </div>
    </div>
  </div>
  <div class="card-body">
    <div class="chart-wrapper">
      <div style="display: block;">
        <canvas baseChart class="chart" #baseChart='base-chart'
                [datasets]="lineChartData"
                [labels]="lineChartLabels"
                [options]="lineChartOptions"
                [legend]="lineChartLegend"
                [chartType]="lineChartType"
                [plugins]="lineChartPlugins"
        >
        </canvas>
      </div>
    </div>
  </div>
</div>
</div>
